2016-12-31 17 views
-2

いいえ。だから私は最近pythonモジュールをインストールするために多くを試しています。彼らはインストールされません。はい、私はパスを設定しました。そして、はい、私はこのウェブサイト上のほとんどすべてを試しました。私はPython 3.6.0とWindows 10を持っています。Pythonモジュールはインストールされません。

例えば、これはcmdにnumpyをインストールするように頼むときのことです。 Atlasはサポートされていませんが、Atlasは見つかりませんでした。 LAPACKはサポートされていません。そして、おそらく千の他のもの。本当にイライラする。もし誰かが助けてくれたら。 Look this And this

+0

あなたはnumpy以外のものをインストールしようとしましたか? –

+0

Windowsの場合は、[here](http://www.lfd.uci.edu/~gohlke/pythonlibs/#numpy)からバイナリをダウンロードしてインストールするのがとても簡単です。 – roganjosh

+0

うん、私はmatplotlib、パンダなど何も働かなかった。 –

答えて

0

あなたがnumpyのまたはソースからnumpyの依存関係をインストールしようとしているようです。そのため、インストーラはCソースコードからコンパイルを試みます。これは、ツールチェーン全体をインストールする必要があるため、Windowsでは簡単な作業ではありません。

あなたのプラットフォーム/ OSだけでなくPythonバージョンにも一致するホイールパッケージをインストールする必要があります。

公式PyPiによると、Python 3.6のバイナリディストリビューションはありません(Mac OS Xを除く)。

解決策は、Python 3.5にダウングレードすることです。

注:ピップの最新バージョンを使用してパッケージをインストールすることを検討してください。

+0

質問に対する私のコメントに3.6のバイナリがあるので、それは助けになるとは思わない。 – roganjosh

+0

@roganjosh公式のPyPiには、Windows用のPython 3.6ホイールはありません。 –

+0

しかし理論的にOPは私が与えたサイトからそれを得ることができました。これはPython自体をダウングレードする方が望ましいでしょうか?正直なところ、Windowsにnumpyをインストールしようとするとちょっと恐ろしいですが、私は非公式のバイナリ以外のものを試してみる価値はないと思います。 – roganjosh

関連する問題